---
import NavLink from "./NavLink.astro";
---

<nav
    class="sticky top-2 mx-2 mb-5 flex overflow-x-auto rounded-md border border-zinc-800 bg-[#1c1c1f]/80 text-zinc-300 backdrop-blur sm:mx-auto sm:w-full sm:max-w-xl">
    <NavLink href="/" text="Home" />
    <NavLink href="/resume" text="Resume" />
    <NavLink href="/projects" text="Projects" />
    <NavLink href="/blog" text="Blog" />
    <NavLink href="/about" text="About" />
</nav>
